<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Floats</title>
    <style>
        * {
            margin: 0px;
            padding: 0px;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #div-1 {
            margin: 10px;
            background: darkslateblue;
            width: 100px;
            height: 100px;
            float: left;
        }

        #div-2 {
            margin: 10px;
            background: darkmagenta;
            width: 80px;
            height: 80px;
            float: right;
        }

        #div-3 {
            background: darkorange;
        }

        #floats::after {
            display: block;
            clear: both;
            content: "";
        }
    </style>
</head>


<body>
    <div id="floats">
        <div id="div-1">

        </div>
        <div id="div-2">

        </div>
    </div>
    <!-- <div style="clear: both;">
    </div> -->
    <div id="div-3">
        Lorem ipsum, dolor sit amet consectetur adipisicing elit. Itaque illo at hic voluptates atque harum ad quo
        dolorem tempora in deleniti vitae labore maxime, ullam placeat laboriosam quibusdam cum cumque.
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Dolor unde velit rem officiis illum, nulla, excepturi
        aut iste sequi eum porro voluptatum, voluptates ducimus minima debitis impedit! Possimus, ratione
        exercitationem.
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet esse fugit atque labore maxime veritatis
        aliquam error suscipit beatae architecto iure numquam, quod alias praesentium quae rem, quos provident cumque?
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Libero, repudiandae! Dolores alias veniam nam culpa,
        aut excepturi rerum, atque fugit sunt doloribus et ab amet, corporis quasi id optio blanditiis?
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorem labore sit voluptatibus eius obcaecati minus
        accusamus ea voluptate dignissimos sequi doloremque iure impedit officia, nam maiores inventore exercitationem
        temporibus iusto.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga itaque aliquid maxime eum dolorum ipsum nesciunt
        facere necessitatibus cum veritatis eaque, quasi voluptas ducimus laboriosam autem modi odio nostrum obcaecati?
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sit ducimus dolore esse cupiditate dolores, tempore
        maiores. Sed ea, a sapiente adipisci, reiciendis ducimus minima debitis natus nisi ipsa aperiam. Esse.
    </div>
</body>

</html>